Bug 1575906 - Unable to configure spacewalk proxy
Summary: Unable to configure spacewalk proxy
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Proxy Server
Version: 2.8
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Tomáš Kašpárek
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space29
TreeView+ depends on / blocked
 
Reported: 2018-05-08 09:02 UTC by Tapas Mallick
Modified: 2019-01-15 07:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-15 07:59:26 UTC


Attachments (Terms of Use)

Description Tapas Mallick 2018-05-08 09:02:00 UTC
Description of problem: 

After executing "configure-proxy.sh", getting following...

"There was a problem activating the Spacewalk Proxy entitlement:
WARNING: upon deactivation attempt: unknown error - <Fault -12: 'redstone.xmlrpc.XmlRpcFault: method invalid param'>
Proxy activation failed! Installation interrupted."

As per documentation "A provisioning entitlement for the Proxy server" is required but don't see any such entitlement while creating "Activation key" any more.

Version-Release number of selected component (if applicable): 2.8

Comment 1 Tapas Mallick 2018-05-08 09:14:44 UTC
I do see same got reported in spacewalk mailing list at https://www.redhat.com/archives/spacewalk-list/2018-April/msg00114.html

Comment 2 Robert Paschedag 2018-05-23 06:39:39 UTC
Hi Tomas,

because of this error

2018-05-22 21:45:49,208 [TP-Processor8] ERROR
org.apache.commons.digester.Digester - End event threw exception
java.lang.NoSuchMethodException: No such accessible method: addMember()
on object: com.redhat.rhn.common.client.ClientCertificate
        at

possibly this commit??

commit 43d11cc68a5c37967356e0ef583eeaf8e45b1820
Author: Tomas Kasparek <tkasparek@redhat.com>
Date:   Tue Oct 17 10:27:44 2017 +0200

    ClientCertificate - make not publically used methods/attributes private

diff --git a/java/code/src/com/redhat/rhn/common/client/ClientCertificate.java b/java/code/src/com/redhat/rhn/common/client/ClientCertificate.java
index aa73782c1a..f7fe2a7a73 100644
--- a/java/code/src/com/redhat/rhn/common/client/ClientCertificate.java
+++ b/java/code/src/com/redhat/rhn/common/client/ClientCertificate.java
@@ -35,7 +35,7 @@ import java.util.Map;
 public class ClientCertificate {

     public static final String SYSTEM_ID = "system_id";
-    public static final String FIELDS = "fields";
+    private static final String FIELDS = "fields";
     private final List<Member> members;
     private final Map<String, String[]> byName;
     private final Map<String, String> checksumFields;
@@ -87,7 +87,7 @@ public class ClientCertificate {
      * Add a member to the certificate.
      * @param member Member to be added.
      */
-    public void addMember(Member member) {
+    private void addMember(Member member) {
         members.add(member);
         byName.put(member.getName(), member.getValues());
     }


The "addMember(Member member) is "private" now. All others are still "public"

Robert

Comment 3 Tomáš Kašpárek 2018-05-28 08:51:54 UTC
spacewalk.git(master): 4d3f0a3b0269045101a0a4ca502c95a431cae64e

Comment 4 Michael Mráka 2018-11-26 09:44:00 UTC
Move Spacewalk 2.9 bugs ON_QA.

Comment 5 Michael Mráka 2019-01-15 07:59:26 UTC
Spacewalk 2.9 has been released.
https://github.com/spacewalkproject/spacewalk/wiki/ReleaseNotes29


Note You need to log in before you can comment on or make changes to this bug.